require "sinatra-index"
require "sinatra_auth_github"
require "dotenv"
require "safe_yaml"
require "colorator"
require "mkmf"
require_relative "bunto_auth/version"
require_relative "bunto_auth/helpers"
require_relative "bunto_auth/config"
require_relative "bunto_auth/auth_site"
require_relative "bunto_auth/bunto_site"
require_relative "bunto_auth/config_error"
require_relative "bunto_auth/commands"
require_relative "bunto_auth/sinatra/auth/github"

Dotenv.load

class BuntoAuth
  def self.site
    Rack::Builder.new do
      use BuntoAuth::AuthSite
      run BuntoAuth::BuntoSite
    end
  end
end
